linux: 3.8.0-15.25 -proposed tracker

Bug #1161054 reported by Tim Gardner on 2013-03-27
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel Development Workflow
Undecided
Unassigned
Automated-testing
Undecided
Canonical Kernel Team
Prepare-package
Undecided
Tim Gardner
Prepare-package-meta
Undecided
Tim Gardner
Prepare-package-signed
Undecided
Tim Gardner
Promote-to-release
Undecided
Ubuntu Archive Auto-Sync
linux (Ubuntu)
Medium
Unassigned
Raring
Medium
Unassigned

Bug Description

This bug is for tracking the 3.8.0-15.25 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-Prepare-package-start:Wednesday, 27. March 2013 18:27 UTC
kernel-Package-testing-start:Thursday, 28. March 2013 04:00 UTC
kernel-Prepare-package-end:Thursday, 28. March 2013 04:00 UTC
kernel-Promote-to-release-end:Thursday, 28. March 2013 06:00 UTC
kernel-phase:Released
kernel-phase-changed:Thursday, 28. March 2013 07:01 UTC

Related branches

Tim Gardner (timg-tpi) on 2013-03-27
tags: added: kernel-release-tracking-bug
Changed in linux (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: raring
Changed in kernel-development-workflow:
status: New → In Progress

All builds are complete, packages in this bug are available in -proposed.

description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.8.0-15.25

---------------
linux (3.8.0-15.25) raring; urgency=low

  [ Andy Whitcroft ]

  * [Config] annotations -- track move to -generic for armhf
  * [Config] annotations -- resync with updated armhf -generic flavour
  * [Config] annotations -- clean up redundant annotations
  * Revert "SAUCE: add option to hand off all kernel parameters to init"
  * SAUCE: add option to hand off all kernel parameters to init
    Clean up compile warnings.
    - LP: #586386
  * Revert "SAUCE: isapnp_init: make isa PNP scans occur async"
  * SAUCE: isapnp_init: make isa PNP scans occur async
    Clean up compile warnings.

  [ Paolo Pisati ]

  * [Config] HIHGBANK=y
  * [Config] SATA_HIGHBANK=y
  * [Config] NET_CALXEDA_XGMAC=y
  * [Config] EDAC_HIGHBANK_[MC|L2]=y
  * SAUCE: cpufreq: check OF /cpus presence before dereferencing it
  * [Config] CONFIG_CPU_IDLE_CALXEDA=y, CONFIG_SWP_EMULATE=y
  * [Config] ARM_HIGHBANK_CPUFREQ=y
  * [Config] CPU_IDLE_MULTIPLE_DRIVERS=y, CPU_FREQ_DEFAULT_GOV_ONDEMAND=y

  [ Rob Herring ]

  * SAUCE: ARM: cache-l2x0: fix masking of RTL revision numbering and
    set_debug init
  * SAUCE: ahci: remove calxeda ahci controller
  * SAUCE: cpuidle: calxeda: disable power gating by default
  * SAUCE: net: calxedaxgmac: fix rx ring handling when OOM

  [ Stefan Bader ]

  * SAUCE: dm-raid45: Fix incompatible ptr assignments
    Clean up compile warnings.

  [ Tim Gardner ]

  * [Config] Removed modules from ABI
  * [Config] CONFIG_SATA_HIGHBANK=n for x86
  * [Config] Remove highbank as a flavour
  * [Config] CONFIG_MAILBOX=y
  * SAUCE: acpi/video.c: Fix compile warnings
  * SAUCE: apparmor: Fix compile warnings
  * SAUCE: vesafb: Cleanup compile warnings
  * Release Tracking Bug
    - LP: #1161054

  [ Upstream Kernel Changes ]

  * i2c: iSMT: add Intel Avoton DeviceIDs
    - LP: #1083965
  * ARM: use device tree to get smp_twd clock
  * clk / highbank: Prevent glitches in non-bypass reset mode
  * ARM / highbank: add support for pl320 IPC
  * cpufreq / highbank: add support for highbank cpufreq
  * PM / OPP: switch exported symbols to GPL variant
  * PM / OPP: Export more symbols for module usage
  * mailbox, pl320-ipc: remove __init from probe function

  [ Xiangliang Yu ]

  * SAUCE: PCI: define macro for marvell vendor ID
    - LP: #1159863
  * SAUCE: PCI: fix system hang issue of Marvell SATA host controller
    - LP: #1159863
 -- Tim Gardner <email address hidden> Mon, 25 Mar 2013 11:55:34 -0600

Changed in linux (Ubuntu Raring):
status: In Progress → Fix Released
Brad Figg (brad-figg) on 2013-03-28
description: updated
Brad Figg (brad-figg) on 2013-03-28
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-development-workflow:
status: In Progress → Fix Released
description: updated

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers